import { Basis as e } from "./basis.js";
//#region ../../node_modules/d3-shape/src/curve/bundle.js
function t(t, n) {
	this._basis = new e(t), this._beta = n;
}
t.prototype = {
	lineStart: function() {
		this._x = [], this._y = [], this._basis.lineStart();
	},
	lineEnd: function() {
		var e = this._x, t = this._y, n = e.length - 1;
		if (n > 0) for (var r = e[0], i = t[0], a = e[n] - r, o = t[n] - i, s = -1, c; ++s <= n;) c = s / n, this._basis.point(this._beta * e[s] + (1 - this._beta) * (r + c * a), this._beta * t[s] + (1 - this._beta) * (i + c * o));
		this._x = this._y = null, this._basis.lineEnd();
	},
	point: function(e, t) {
		this._x.push(+e), this._y.push(+t);
	}
};
var n = (function n(r) {
	function i(n) {
		return r === 1 ? new e(n) : new t(n, r);
	}
	return i.beta = function(e) {
		return n(+e);
	}, i;
})(.85);
//#endregion
export { n as default };
